using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.SK;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.FO
{
    [Description("巡视区域表")]
    public class T_FO_LEADER_WELL_RECORD_DETAIL_AREA : MesEntityBase
    {
        [Description("明细表")]
        [DataFieldForeignKey("Nav_Detail", "Nav_DetailAreas")]
        public Guid LEADER_WELL_RECORD_DETAIL_ID { get; set; }

        [Description("导航属性：明细表")]
        public virtual T_FO_LEADER_WELL_RECORD_DETAIL Nav_Detail { get; set; }

        [Description("辨识区域")]
        [DataFieldForeignKey("Nav_Area")]
        [FormFieldEdit]

        public Guid? AREA_ID { get; set; }
        [Description("导航属性：辨识区域")]
        public T_SK_RISK_AREA Nav_Area { get; set; }
    }
}
